const state = {
    banks: [],
    selectedBank: null,
    bankOperationNumber: null,
    bankDueDate: null,
    accountBankNumber: null,
    holderBankName: null,
    showBankPayment: false
}

const getters = {
    banks(state) {
        return state.banks
    },
    selectedBank(state) {
        return state.selectedBank
    },
    bankOperationNumber(state) {
        return state.bankOperationNumber
    },
    bankDueDate(state) {
        return state.dueDate
    },
    accountBankNumber(state) {
        return state.accountBankNumber
    },
    holderBankName(state) {
        return state.holderBankName
    },
    showBankPayment(state) {
        return state.showBankPayment
    }
}

const mutations = {
    setBanks (state, payload) {
        state.banks = payload
    },
    setSelectedBank(state, payload) {
        state.selectedBank = payload
    },
    setBankOperationNumber(state, payload) {
        state.bankOperationNumber = payload
    },
    setBankDueDate(state, payload) {
        state.bankDueDate = payload
    },
    setAccountBankNumber(state, payload) {
        state.accountBankNumber = payload
    },
    setHolderBankName(state, payload) {
        state.holderBankName = payload
    },
    toggleBankPayment(state) {
        state.showBankPayment = !state.showBankPayment
    }
}

const actions = {
    initBanks ({ commit}, payload) {
        commit('setBanks', payload)
    },
    toggleBankPayment({ commit }) {
        commit('toggleBankPayment')
    },
    resetBanks ({ commit }) {

    }
}

export default {
    state,
    getters,
    actions,
    mutations
}